Subject: Re: bug#28350: enriched.el code execution
From: Eli Zaretskii <[email-masked]>
To: [email-masked], [email-masked]
Cc: [email-masked], [email-masked]
Date: Sat, 16 Sep 2017 12:48:58 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Mon, 11 Sep 2017 22:07:26 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> 
> > Date: Mon, 11 Sep 2017 20:44:19 +0200
> > From: [email-masked] (Charles A. Roelli)
> > CC: [email-masked], [email-masked], [email-masked]
> > 
> > > Here's the idea: we introduce a new form of a display property:
> > > 
> > >   ('disable-eval SPEC)
> > > 
> > > where SPEC is anything supported in a display property.
> > 
> > Thanks for suggesting this; it's much cleaner than sanitizing the
> > display specification from Lisp.  Looks good to me.
> 
> Thanks, I will wait for a few days before pushing.

Done.

Lars, I re-enabled support for enriched text in Gnus, as the
vulnerability is now removed.  Feel free to disable it again, if you
don't want Gnus users to be able to display enriched text, ever.

I'm marking the bug done.